:root {
  --radius: 0.5rem;
  --radius-bigger: 1rem;
  --font-body: "Inter", sans-serif;
  --font-mono: "JetBrains Mono", monospace;
  --header-height: 80px;
  --padding-top: 40px;
  --padding-vertical: 16px;
}

html,
body {
  scroll-behavior: smooth;
  font-family: var(--font-body);
  color: var(--text);
  font-size: 18px;
  background-color: var(--background);
}

section {
  display: block;
  position: relative;
}

.section-inner {
  max-width: 1200px;
  display: block;
  margin: 0 auto;
  z-index: 2;
  position: relative;
  min-height: calc(100vh - var(--padding-top) - var(--header-height));
  padding-top: calc(var(--padding-top) + var(--header-height));
  padding-left: var(--padding-vertical);
  padding-right: var(--padding-vertical);
}

.section-right {
  margin-top: 40px;
  width: 100%;
  box-sizing: border-box;
  text-align: center;
}

line {
  margin-top: 24px;
  display: block;
  width: 160px;
  border-bottom: 2px var(--border) solid;
}

.quote {
  margin-top: 16px;
  display: inline-block;
  font-size: 13px;
  border-radius: var(--radius-bigger);
  background-color: var(--quote-backbround);
  color: var(--quote-text);
  padding: 12px 16px;

  > * {
    display: inline-block;
  }
}

h1 {
  margin-top: 16px;
  font-size: 48px;
  font-weight: bold;
  line-height: 56px;
}

h2 {
  font-size: 48px;
  font-weight: bold;
  line-height: 56px;
}

strong {
  font-weight: bold;
}

button {
  padding: 16px 32px;
  border-radius: var(--radius);
  background-color: var(--primary);
  color: white;
  outline: none;
  border: none;
  font-weight: bold;
  font-size: 18px;
  transition: all ease-in-out 0.2s;
  cursor: pointer;
  display: flex;
  align-items: center;
  margin-left: auto;
  margin-right: auto;

  img {
    margin-left: 12px;
    width: 28px;
    filter: brightness(0) invert(1);
  }

  &:hover {
    opacity: 0.9;
    box-shadow: var(--box-shadow);
  }
}

@media (min-width: 768px) {
  .section-right {
    position: absolute;
    left: 50%;
    top: 200px;
    width: 40vw;
    height: 400px;
  }

  .quote {
    margin-top: 80px;
  }

  h1 {
    font-size: 72px;
    line-height: 92px;
  }
}
